OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.EglImageStorage

Contents

- Extension Support
- Types
- Functions

Description

Synopsis

- glGetEXTEglImageStorage :: MonadIO m => m Bool
- gl_EXT_EGL_image_storage :: Bool
- type GLeglImageOES = Ptr ()
- glEGLImageTargetTexStorageEXT :: MonadIO m => GLenum -> GLeglImageOES -> Ptr GLint -> m ()
- glEGLImageTargetTextureStorageEXT :: MonadIO m => GLuint -> GLeglImageOES -> Ptr GLint -> m ()

# Extension Support

glGetEXTEglImageStorage :: MonadIO m => m Bool Source #

Is the EXT_EGL_image_storage extension supported?

gl_EXT_EGL_image_storage :: Bool Source #

Is the EXT_EGL_image_storage extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTEglImageStorage` in those cases instead.

# Types

type GLeglImageOES = Ptr () Source #

# Functions

glEGLImageTargetTexStorageEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLeglImageOES | `image`.
-> Ptr GLint | `attrib_list`.
-> m () |

glEGLImageTargetTextureStorageEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLeglImageOES | `image`.
-> Ptr GLint | `attrib_list`.
-> m () |